"use strict";
const common_vendor = require("../../common/vendor.js");
const CUSTOMER_house_select_method = require("./method.js");
const CUSTOMER_house_select_model = require("./model.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_up_search2 = common_vendor.resolveComponent("up-search");
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_up_search2 + _easycom_hs_empty2 + _easycom_uni_icons2)();
}
const _easycom_up_search = () => "../../node-modules/uview-plus/components/u-search/u-search.js";
const _easycom_hs_empty = () => "../../components/hs-empty/hs-empty.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (_easycom_up_search + _easycom_hs_empty + _easycom_uni_icons)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      CUSTOMER_house_select_model.useModel.pageFormData.value = e;
      console.log(e, "eee");
      (_a = CUSTOMER_house_select_method.method) == null ? void 0 : _a.handleSearch();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i;
      return common_vendor.e({
        a: common_vendor.o((_a = common_vendor.unref(CUSTOMER_house_select_method.method)) == null ? void 0 : _a.handleSearch),
        b: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_house_select_model.useModel).formData.value.name = $event),
        c: common_vendor.p({
          showAction: false,
          placeholder: "请输入房屋名称搜索",
          modelValue: common_vendor.unref(CUSTOMER_house_select_model.useModel).formData.value.name
        }),
        d: !((_d = (_c = (_b = common_vendor.unref(CUSTOMER_house_select_model.useModel)) == null ? void 0 : _b.listData) == null ? void 0 : _c.value) == null ? void 0 : _d.length)
      }, !((_g = (_f = (_e = common_vendor.unref(CUSTOMER_house_select_model.useModel)) == null ? void 0 : _e.listData) == null ? void 0 : _f.value) == null ? void 0 : _g.length) ? {} : {}, {
        e: common_vendor.f((_i = (_h = common_vendor.unref(CUSTOMER_house_select_model.useModel)) == null ? void 0 : _h.listData) == null ? void 0 : _i.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: "2c60df80-2-" + i0,
            c: `item_${index}`,
            d: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(CUSTOMER_house_select_method.method)) == null ? void 0 : _a2.handleSelect(i);
            }, `item_${index}`)
          };
        }),
        f: common_vendor.p({
          type: "right",
          size: "13"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/house_select/index.vue"]]);
wx.createPage(MiniProgramPage);
